# $Revision: 1.34.2.1 $, $Date: 2007/03/18 23:00:21 $
Summary:	Raptor RDF Parser Toolkit
Summary(pl):	Raptor - zestaw narzdzi do analizy RDF
Name:		libraptor
# the real name is raptor, but it conflicts with already existing raptor game
%define	rname	raptor
Version:	1.4.14
Release:	2
License:	LGPL v2.1+ or GPL v2+ or Apache v2.0+
Group:		Libraries
Source0:	http://download.librdf.org/source/%{rname}-%{version}.tar.gz
# Source0-md5:	1bbc9938f8f7310e20fbd5b962a43847
URL:		http://librdf.org/raptor/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1:1.7
# WWW library can be one of: curl(default),xml,libfetch,libwww,none
BuildRequires:	curl-devel
# XML library can be libxml or expat; grddl parser requires libxml2+libxslt anyway
BuildRequires:	libxml2-devel >= 2.6.8
BuildRequires:	libxslt-devel >= 1.0.18
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.98
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Raptor is the RDF Parser Toolkit for Redland written in C consisting
of two parsers for the RDF/XML and N-Triples syntaxes for RDF. Raptor
is designed to work efficiently when used with Redland but is entirely
separate.

%description -l pl
Raptor to zestaw narzdzi do analizy RDF dla Redland napisany w C,
skadajcy si z dwch analizatorw dla skadni RDF/XML i N-Triplets
dla RDF. Raptor zosta zaprojektowany, by pracowa wydajnie, jeli
jest uywany z Redland, ale jest cakowicie oddzielny.

%package devel
Summary:	libraptor library header files
Summary(pl):	Pliki nagwkowe biblioteki libraptor
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	curl-devel
Requires:	libxml2-devel >= 2.6.8
Requires:	libxslt-devel >= 1.0.18

%description devel
libraptor library header files.

%description devel -l pl
Pliki nagwkowe biblioteki libraptor.

%package static
Summary:	Static libraptor library
Summary(pl):	Statyczna biblioteka libraptor
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libraptor library.

%description static -l pl
Statyczna biblioteka libraptor.

%package rapper
Summary:	Raptor RDF parser test program
Summary(pl):	Testowy program parsera Raptor RDF
Group:		Applications
Requires:	%{name} = %{version}-%{release}
Obsoletes:	redland-rapper

%description rapper
Raptor RDF parser test program.

%description rapper -l pl
Testowy program parsera Raptor RDF.

%prep
%setup -q -n %{rname}-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__automake}
# avoid -s in LDFLAGS, `raptor-config --libs` would print it
# (note: don't pass empty LDFLAGS - it would be overridden)
LDFLAGS="`echo %{rpmldflags} | sed -e 's/\(^\| \)-s\>/ /'`"
# avoid using parsedate from libinn, use curl_getdate instead
%configure \
	ac_cv_header_libinn_h=no \
	--enable-release \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog LICENSE.txt NEWS README
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/raptor-config
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*.h
%{_pkgconfigdir}/*.pc
%{_mandir}/man1/raptor-config.1*
%{_mandir}/man3/*
%{_gtkdocdir}/raptor

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%files rapper
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/rapper
%{_mandir}/man1/rapper.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libraptor.spec,v $
Revision 1.34.2.1  2007/03/18 23:00:21  glen
- rel 2

Revision 1.34  2007/02/03 13:45:25  qboosh
- updated to 1.4.14

Revision 1.33  2006/10/27 22:55:55  qboosh
- updated to 1.4.13

Revision 1.32  2006/08/28 20:41:10  qboosh
- updated to 1.4.12

Revision 1.31  2006/07/20 06:11:27  qboosh
- updated to 1.4.10

Revision 1.30  2006/05/27 23:37:49  qboosh
- updated to 1.4.9

Revision 1.29  2006/01/16 21:01:40  qboosh
- avoid using INN libs as date parsing source (use curl instead)

Revision 1.28  2006/01/10 20:31:33  qboosh
- updated to 1.4.8

Revision 1.27  2005/06/10 04:35:31  aredridel
- up to 1.4.7

Revision 1.26  2005/05/20 04:23:50  aredridel
- up to 1.4.6

Revision 1.25  2005/02/06 22:33:43  aredridel
- up to 1.4.5

Revision 1.24  2005/01/21 23:57:31  qboosh
- updated to 1.4.4

Revision 1.23  2005/01/06 22:05:44  qboosh
- updated to 1.4.3, updated URLs

Revision 1.22  2004/11/02 05:21:12  aredridel
- up to 1.4.2

Revision 1.21  2004/10/30 20:59:31  qboosh
- updated to 1.4.1 (crash fixes)

Revision 1.20  2004/10/27 20:39:51  qboosh
- updated to 1.4.0

Revision 1.19  2004/10/21 21:17:22  qboosh
- updated to 1.3.3, updated License

Revision 1.18  2004/08/04 19:33:53  qboosh
- redland-rapper is no more - -rapper O: it; release 2

Revision 1.17  2004/07/21 16:47:48  aredridel
- up to 1.3.2

Revision 1.16  2004/07/03 19:54:49  qboosh
- updated to 1.3.1

Revision 1.15  2004/05/19 20:46:55  qboosh
- updated to 1.3.0, strict internal deps

Revision 1.14  2004/02/10 23:33:13  qboosh
- avoid -s in raptor-config --libs; release 2

Revision 1.13  2004/01/27 20:29:31  qboosh
- updated to 1.2.0

Revision 1.12  2004/01/19 09:31:35  qboosh
- BR: ac,am

Revision 1.11  2004/01/19 01:43:42  undefine
- ac/am, release 2

Revision 1.10  2004/01/03 00:40:05  qboosh
- updated to 1.1.0

Revision 1.9  2003/10/07 22:28:41  qboosh
- BR+R glib2-devel

Revision 1.8  2003/10/07 19:51:14  qboosh
- 1.0.0 (soname has changed)

Revision 1.7  2003/08/26 19:58:03  aredridel
- updated to 9.0.12

Revision 1.6  2003/07/30 02:51:22  aredridel
-updated to 0.9.11

Revision 1.5  2003/05/28 12:59:31  malekith
- massive attack: source-md5

Revision 1.4  2003/05/25 05:50:00  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2003/05/22 21:39:52  qboosh
- separated rapper (to avoid conflict with redland version)
- -devel R: curl-devel, libxml2-devel

Revision 1.2  2003/05/13 23:04:57  qboosh
- finished

Revision 1.1  2003/05/13 12:11:41  qboosh
- nothing yet, just saving URLs
